org.apache.hadoop.fs

## Enum StorageType

- java.lang.Object
- - java.lang.Enum<StorageType>
  - - org.apache.hadoop.fs.StorageType

- All Implemented Interfaces:
    Serializable, Comparable<StorageType>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public enum StorageType
      extends Enum<StorageType>

  Defines the types of supported storage media. The default storage medium is assumed to be DISK.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCHIVE`
    `DISK`
    `PROVIDED`
    `RAM_DISK`
    `SSD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StorageType` | `DEFAULT`
    `static StorageType[]` | `EMPTY_ARRAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<StorageType>` | `asList()`
    `static List<StorageType>` | `getMovableTypes()`
    `static List<StorageType>` | `getTypesSupportingQuota()`
    `boolean` | `isMovable()`
    `boolean` | `isTransient()`
    `static StorageType` | `parseStorageType(int i)`
    `static StorageType` | `parseStorageType(String s)`
    `boolean` | `supportTypeQuota()`
    `static StorageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StorageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RAM_DISK

          public static final StorageType RAM_DISK

    - #### SSD

          public static final StorageType SSD

    - #### DISK

          public static final StorageType DISK

    - #### ARCHIVE

          public static final StorageType ARCHIVE

    - #### PROVIDED

          public static final StorageType PROVIDED

  - ### Field Detail

    - #### DEFAULT

          public static final StorageType DEFAULT

    - #### EMPTY_ARRAY

          public static final StorageType[] EMPTY_ARRAY

  - ### Method Detail

    - #### values

          public static StorageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StorageType c : StorageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StorageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isTransient

          public boolean isTransient()

    - #### supportTypeQuota

          public boolean supportTypeQuota()

    - #### isMovable

          public boolean isMovable()

    - #### asList

          public static List<StorageType> asList()

    - #### getMovableTypes

          public static List<StorageType> getMovableTypes()

    - #### getTypesSupportingQuota

          public static List<StorageType> getTypesSupportingQuota()

    - #### parseStorageType

          public static StorageType parseStorageType(int i)

    - #### parseStorageType

          public static StorageType parseStorageType(String s)

Copyright © 2022 Apache Software Foundation. All rights reserved.